Bug 185381 - Make arrow keys wrap in Present Windows
Summary: Make arrow keys wrap in Present Windows
Status: CONFIRMED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-present-windows (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: LO wishlist (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: usability
Depends on: 295775
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 21:31 UTC by Mikolaj Machowski
Modified: 2022-05-06 13:24 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Machowski 2009-02-23 21:31:20 UTC
Version:            (using Devel)
Compiler:          gcc4.3.2 
OS:                Linux
Installed from:    Compiled sources

In windows present effect is one thing which seriously undermines usability of this great effect. When I am navigating through windows with arrow keys I have to *shudder* think about it.

Navigating with arrow keys is the most natural way of moving through presented windows with keyboard but when using only eg. Right I am getting to right border of screen and it stops there. Effect should create some logical rows and columns of windows and when coming across end of such row or column should jump to next one.

With such navigation it should be possible to go through all windows by pressing only one arrow key.
Comment 1 lucas 2009-02-24 02:39:52 UTC
Keyboard navigation in native layout mode does require some improvements but unfortunately making a fake grid won't work in all situations either.

The best I can come up with is the one used in FVWM, an implementation can be seen in this script:

http://blogs.gnome.org/metacity/2009/01/30/you-can-switch-in-a-direction/
Comment 2 Mikolaj Machowski 2009-02-24 17:48:08 UTC
OK, full grid is hard but what about linearization? Alt+Tab does something like that.
Comment 3 Marco Martin 2022-05-06 11:37:59 UTC
Git commit ae1937badc097a864ecfc62e79e7a3899c3be572 by Marco Martin.
Committed on 06/05/2022 at 11:37.
Pushed by mart into branch 'master'.

Remove completely present windows

since it has been replaced by windowview, and Desktop Grid
is ported as well, remove present windows which is effectively dead code
now
Related: bug 447001, bug 362844, bug 450487, bug 453426, bug 374481, bug 413342, bug 451150, bug 283333, bug 315314, bug 397500, bug 321236, bug 436572, bug 335782

M  +0    -1    src/effects/CMakeLists.txt
D  +0    -45   src/effects/presentwindows/CMakeLists.txt
D  +0    -17   src/effects/presentwindows/main.cpp
D  +0    -18   src/effects/presentwindows/main.qml
D  +0    -75   src/effects/presentwindows/metadata.json
D  +0    -2054 src/effects/presentwindows/presentwindows.cpp
D  +0    -343  src/effects/presentwindows/presentwindows.h
D  +0    -51   src/effects/presentwindows/presentwindows.kcfg
D  +0    -104  src/effects/presentwindows/presentwindows_config.cpp
D  +0    -46   src/effects/presentwindows/presentwindows_config.h
D  +0    -487  src/effects/presentwindows/presentwindows_config.ui
D  +0    -36   src/effects/presentwindows/presentwindows_proxy.cpp
D  +0    -35   src/effects/presentwindows/presentwindows_proxy.h
D  +0    -6    src/effects/presentwindows/presentwindowsconfig.kcfgc

https://invent.kde.org/plasma/kwin/commit/ae1937badc097a864ecfc62e79e7a3899c3be572
Comment 4 Nate Graham 2022-05-06 13:24:04 UTC
Removing the old code doesn't make wishlist requests invalid for the new version (which has the same name, so they are the same thing from the user's perspective); re-opening.